<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/release_temp_segments_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/06/84  release_temp_segments_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in release_temp_segments_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: release_temp_segments_: 09/25/86  release_temp_segments_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: returns temporary segments <span class="textRainbow_lv0_p0">(</span>acquired with the
<span id="L11" class="LineNr">11 </span>get_temp_segment_ or get_temp_segments_ subroutine<span class="textRainbow_lv0_p0">)</span> to the free pool
<span id="L12" class="LineNr">12 </span>of temporary segments associated with each user process.  Through the
<span id="L13" class="LineNr">13 </span>pool concept, temporary segments can be used more than once during the
<span id="L14" class="LineNr">14 </span>life of a process.  Since the process does not have to create a new
<span id="L15" class="LineNr">15 </span>segment each time one is needed, overhead costs are decreased.
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Syntax:
<span id="L19" class="LineNr">19 </span>declare release_temp_segments_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>call release_temp_segments_ <span class="textRainbow_lv0_p0">(</span>program<span class="textRainbow_lv0_o0">,</span> ptrs<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Arguments:
<span id="L24" class="LineNr">24 </span>program
<span id="L25" class="LineNr">25 </span>   is a 32-character field identifying the program on whose behalf the
<span id="L26" class="LineNr">26 </span>   temporary segment is to be used.  This field is displayed by the
<span id="L27" class="LineNr">27 </span>   list_temp_segments command, and is also used by this subroutine to
<span id="L28" class="LineNr">28 </span>   identify the caller as the owner of the temporary segment being
<span id="L29" class="LineNr">29 </span>   released.  Besides giving the name of the command or subroutine
<span id="L30" class="LineNr">30 </span>   invoked by the user, it can also briefly describe how the temporary
<span id="L31" class="LineNr">31 </span>   segment is used; for example, &quot;sort_seg <span class="textRainbow_lv0_p0">(</span>sort indexes<span class="textRainbow_lv0_p0">)</span>&quot;.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>ptrs
<span id="L33" class="LineNr">33 </span>   is an array of pointers to the temporary segments being released.
<span id="L34" class="LineNr">34 </span>   <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>  The pointers in the array are set to the null value
<span id="L35" class="LineNr">35 </span>   after the segments are successfully returned to the free pool.
<span id="L36" class="LineNr">36 </span>   This fact can be used by callers to determine if a given temporary
<span id="L37" class="LineNr">37 </span>   segment has been released.  Null input values are not treated as
<span id="L38" class="LineNr">38 </span>   errors; no action is performed for them.
<span id="L39" class="LineNr">39 </span>code
<span id="L40" class="LineNr">40 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>Notes:  A nonzero status code is returned if any segment being released
<span id="L44" class="LineNr">44 </span>was not assigned to the given program.  See the description of the
<span id="L45" class="LineNr">45 </span>get_temp_segments_ or the get_temp_segment_ subroutine for a
<span id="L46" class="LineNr">46 </span>description of how to acquire temporary segments.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
